Package net.md_5.bungee.api

# Class ServerPing

java.lang.Object
net.md_5.bungee.api.ServerPing

public class ServerPing extends Object
Represents the standard list data returned by opening a server in the Minecraft client server list, or hitting it with a packet 0xFE.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ServerPing.ModInfo`
  `static class`
  `ServerPing.ModItem`
  `static class`
  `ServerPing.PlayerInfo`
  `static class`
  `ServerPing.Players`
  `static class`
  `ServerPing.Protocol`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServerPing()`
  `ServerPing(ServerPing.Protocol version, ServerPing.Players players, String description, String favicon)`
  Deprecated.
  `ServerPing(ServerPing.Protocol version, ServerPing.Players players, String description, Favicon favicon)`
  Deprecated.
  `ServerPing(ServerPing.Protocol version, ServerPing.Players players, BaseComponent description, Favicon favicon)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getDescription()`
  Deprecated.
  `BaseComponent`
  `getDescriptionComponent()`
  `String`
  `getFavicon()`
  Deprecated.
  `Favicon`
  `getFaviconObject()`
  `ServerPing.ModInfo`
  `getModinfo()`
  `ServerPing.Players`
  `getPlayers()`
  `ServerPing.Protocol`
  `getVersion()`
  `int`
  `hashCode()`
  `void`
  `setDescription(String description)`
  Deprecated.
  `void`
  `setDescriptionComponent(BaseComponent description)`
  `void`
  `setFavicon(String favicon)`
  Deprecated.
  `void`
  `setFavicon(Favicon favicon)`
  `void`
  `setPlayers(ServerPing.Players players)`
  `void`
  `setVersion(ServerPing.Protocol version)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServerPing

    @Deprecated public ServerPing(ServerPing.Protocol version, ServerPing.Players players, String description, String favicon)
    Deprecated.

  - ### ServerPing

    @Deprecated public ServerPing(ServerPing.Protocol version, ServerPing.Players players, String description, Favicon favicon)
    Deprecated.

  - ### ServerPing

    public ServerPing()

  - ### ServerPing

    public ServerPing(ServerPing.Protocol version, ServerPing.Players players, BaseComponent description, Favicon favicon)

- ## Method Details

  - ### getFavicon

    @Deprecated public String getFavicon()
    Deprecated.

  - ### getFaviconObject

    public Favicon getFaviconObject()

  - ### setFavicon

    @Deprecated public void setFavicon(String favicon)
    Deprecated.

  - ### setFavicon

    public void setFavicon(Favicon favicon)

  - ### setDescription

    @Deprecated public void setDescription(String description)
    Deprecated.

  - ### getDescription

    @Deprecated public String getDescription()
    Deprecated.

  - ### setDescriptionComponent

    public void setDescriptionComponent(BaseComponent description)

  - ### getDescriptionComponent

    public BaseComponent getDescriptionComponent()

  - ### getVersion

    public ServerPing.Protocol getVersion()

  - ### getPlayers

    public ServerPing.Players getPlayers()

  - ### getModinfo

    public ServerPing.ModInfo getModinfo()

  - ### setVersion

    public void setVersion(ServerPing.Protocol version)

  - ### setPlayers

    public void setPlayers(ServerPing.Players players)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`